> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# List

> GET /project/{projectId}/scenario/{scenarioId}/reports/list/{activityId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **activityId** (integer(int64))

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))




## Responses
### 200
OK

#### Body: */* (array[object])
- **missing** (boolean)

- **percentComplete** (number(double))

- **physicalPercentComplete** (number(double))

- **unitsPercentComplete** (number(double))

- **activityActualFinishDate** (string(date-time))

- **activityActualStartDate** (string(date-time))

- **dateWorked** (string(date-time))

- **impacts** (string)

- **equipmentUsage** (string)

- **safety** (string)

- **workers** (integer(int32))

- **totalHours** (number(double))

- **totalHoursWorked** (number(double))

- **daysRemaining** (integer(int32))

- **autoGenerated** (boolean)

- **totalCost** (number(double))

- **onActualDate** (boolean)

- **id** (integer(int64))

- **desc** (string)

- **activityId** (integer(int64))

- **dateCreated** (string(date-time))



[Powered by Bump.sh](https://bump.sh)
